Fiskil Docs

List consents

List consents for a team

GET
/consents

List consents for a team

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth 2.0 access token from the token endpoint. See Platform API authentication.

In: header

Query Parameters

statusstring

Comma separated list of status filters

Filter consents to those authorized by the customer with the given ID as returned by your customer search API

app_idstring

Filter consents to those created by the application with the given ID returned in previous results or found in the Fiskil App Directory

Filter consents to those that have been added or updated since the given RFC3339 timestamp. Can be used to perform incremental synchronisations.

instancestring

Name of the Data Provider instance to filter consents to

Value in"Production" | "Staging"
cursorstring

Page cursor from previous response for pagination

page_sizeinteger

Number of consents to return per page

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/consents"
{  "cursor": "982407f136df8e20140534999eff7b7f",  "consents": [    {      "consent_id": "2903cbfa-7573-4eac-bef4-669d002f7dba",      "status": "active",      "instance_name": "Production",      "app_id": "07c79a13-8100-4736-bb0c-5ccad62054b0",      "app_name": "My Budget Helper",      "customer_id": "6db36d28-16d4-4fac-b4d8-518cae271625",      "scopes": [        "openid",        "profile",        "bank:accounts:basic.read"      ],      "account_ids": [        "1b87acb6-315b-40aa-a3cb-7889762db04d",        "9f9ac2a3-7b7f-49ba-b64b-84e324f991ac"      ],      "granted_at": "2026-01-23T04:00:00.000Z",      "expires_at": "2027-01-23T04:00:00.000Z",      "updated_at": "2027-06-22T04:00:00.000Z",      "revoked_at": "2027-08-13T04:00:00.000Z"    }  ],  "total_pages": 2}
{  "property1": "string",  "property2": "string"}
{  "property1": "string",  "property2": "string"}